As a user I want to use swiping to present and dismiss the ToC on articles
Closed, ResolvedPublic3 Story Points

Description

Should open/close fully on swipe from edge,.

JMinor created this task.Oct 16 2015, 5:46 PM
JMinor updated the task description. (Show Details)
JMinor raised the priority of this task from to Normal.
JMinor added a subscriber: JMinor.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 16 2015, 5:46 PM
JMinor assigned this task to Mhurd.Oct 16 2015, 5:46 PM
JMinor set Security to None.
JMinor added a subscriber: Nirzar.Oct 16 2015, 8:29 PM

Should also consider adding swipe to show. @Nirzar and @Mhurd have some ideas/previous implementation in this area.

MBinder_WMF edited a custom field.Oct 19 2015, 8:46 PM
JMinor renamed this task from As a user I want to swipe to close the ToC on articles to As a user I want to use swiping to present and dismiss the ToC on articles.Oct 19 2015, 8:51 PM
JMinor updated the task description. (Show Details)
Mhurd removed Mhurd as the assignee of this task.Oct 19 2015, 8:54 PM

Checked with 5.0.0.454 on iPhone 5 iOS 9.02.

ToC that "swiped from edge" behaves slightly differently from ToC that is brought up via the button:

ToC via the icon

ToC via "swiped from edge"

JMinor closed this task as Resolved.Nov 18 2015, 8:28 PM

Looks like as of 501 the ToC works the same via the swipe or button.